post
https://app.360learning.com/api/v2/paths
Required OAuth scope:
paths:write.
Creates a new path in the platform.
This endpoint requires
multipart/form-data.
- Content-Type:
multipart/form-data- Arrays: Use bracket notation, with the field name repeated for each item
- Objects: Use JSON-encoded strings
The request preview (the Try it! button on the right panel that generates an example request) may not fully reflect multipart formatting requirements. Instead, use the example below:
curl --request POST \
--url https://qlf:8443/api/v2/paths \
--header '360-api-version: v2.0' \
--header 'authorization: Bearer {{token}}' \
--header 'content-type: multipart/form-data' \
--form authorId=624c5526204fc7207e603ea5 \
--form groupId=624c5526204fc7207e603ea6 \
--form name=path \
--form 'coAuthorIds[]=624c5526204fc7207e603ea5' \
--form 'coAuthorIds[]=624c5526204fc7207e603eb8' \
--form 'estimatedWeeklyCommitment={"min": 2, "max":9}' \
--form coverPicture=@/home/nemausat/Pictures/dory.png \
--form 'options={"linearProgression": true}'
